//
//  ZFJ_NavViewController.m
//  TransitionAnimation
//
//  Created by ZFJ on 2017/6/26.
//  Copyright © 2017年 ZFJ. All rights reserved.
//

#import "ZFJ_NavViewController.h"

@interface ZFJ_NavViewController ()<UINavigationControllerDelegate>

@end

@implementation ZFJ_NavViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [self uiConfig];
}

- (void)uiConfig{
    self.delegate = self;
}

#pragma mark - UINavigationControllerDelegate
- (id<UIViewControllerAnimatedTransitioning>)navigationController:(UINavigationController *)navigationController animationControllerForOperation:(UINavigationControllerOperation)operation fromViewController:(UIViewController *)fromVC toViewController:(UIViewController *)toVC{
    ZFJ_Animation *ZFJAnimation = [[ZFJ_Animation alloc]init];
    ZFJAnimation.operation = operation;
    ZFJAnimation.animationType = _animationType;
    return (id)ZFJAnimation;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
