//
//  ZFJ_ViewController.m
//  TransitionAnimation
//
//  Created by ZFJ on 2017/6/26.
//  Copyright © 2017年 ZFJ. All rights reserved.
//

#import "ZFJ_ViewController.h"
#import "ZFJ_NextViewController.h"
#import "ZFJ_NavViewController.h"

#define ScreenWidth    [UIScreen mainScreen].bounds.size.width
#define ScreenHeight   [UIScreen mainScreen].bounds.size.height

@interface ZFJ_ViewController ()
@end

@implementation ZFJ_ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [self uiConfig];
}

- (void)uiConfig{
    self.title = @"ZFJ_ViewController";
    self.view.backgroundColor = [UIColor yellowColor];
    for (int i=0; i<3; i++) {
        NSString *TitleStr = [NSString stringWithFormat:@"动画%d",i];
        UIButton *nextBtn = [[UIButton alloc]init];
        nextBtn.backgroundColor = [UIColor lightGrayColor];
        [nextBtn setTitle:TitleStr forState:UIControlStateNormal];
        [nextBtn addTarget:self action:@selector(nextBtnClick:) forControlEvents:UIControlEventTouchUpInside];
        nextBtn.tag = 100 + i;
        [nextBtn setTitleColor:[UIColor redColor] forState:UIControlStateNormal];
        nextBtn.frame = CGRectMake((ScreenWidth - 200)/2, 200 + 80 * i, 200, 40);
        [self.view addSubview:nextBtn];
    }
}

- (void)nextBtnClick:(UIButton *)nextBtn{
    NSInteger index = nextBtn.tag - 100;
    ZFJ_NavViewController *nvc = (ZFJ_NavViewController *)self.navigationController;
    nvc.animationType = (ZFJ_AnimationType)index;
    ZFJ_NextViewController *zvc = [[ZFJ_NextViewController alloc]init];
    [nvc pushViewController:zvc animated:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
